<?php
/**
 * ------------------------------------------------------------------------
 * JA Amazon S3 for Joomla 2.5 & Joomla 3.4
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2017 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * ------------------------------------------------------------------------
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

//JA Amazon S3 Component using Amazon S3 (Simple Storage Service) and CloudFusion Library
define('JACOMPONENT', 'com_jaamazons3');
define('JA_WORKING_DATA_FOLDER', JPATH_ROOT);
if(!defined('JASITE_URL')) define('JASITE_URL', JURI::root());

define('JA_PROFILE_PATH_DEPTH', 1);
// Require the base controller
require_once(JPATH_COMPONENT.'/controller.php');
//
require_once(JPATH_COMPONENT.'/helpers/mime.php');
require_once(JPATH_COMPONENT.'/helpers/jastorage.php');
require_once(JPATH_COMPONENT.'/helpers/jafile.php');
require_once(JPATH_COMPONENT.'/helpers/jaform.php');
require_once(JPATH_COMPONENT.'/helpers/jaloader.php');
require_once(JPATH_COMPONENT.'/helpers/repo.php');
require_once(JPATH_COMPONENT.'/helpers/jasmushit.php');
require_once(JPATH_COMPONENT.'/helpers/jaencrypt.php');
require_once(JPATH_COMPONENT.'/helpers/jamenu/jamenu.php');


define('ACL_PUBLIC', 'public');
define('ACL_PUBLIC_READ', 'public-read');
define('ACL_PUBLIC_READ_WRITE', 'public-read-write');
define('ACL_AUTHENTICATED_READ', 'authenticated-read');
define('ACL_PRIVATE', 'private');

define('S3_REGION_US_E1', 'us-east-1');
define('S3_REGION_US_W1', 'us-west-1');
define('S3_REGION_US_W2', 'us-west-2');
define('S3_REGION_EU_W1', 'eu-west-1');
define('S3_REGION_EU_C1', 'eu-central-1');
define('S3_REGION_AP_S1', 'ap-southeast-1');
define('S3_REGION_AP_S2', 'ap-southeast-2');
define('S3_REGION_AP_N1', 'ap-northeast-1');
define('S3_REGION_SA_E1', 'sa-east-1');

// Require Tarzan Library (CloudFusion)
// Api Refrence: http://getcloudfusion.com/docs/2.6/
// require_once(JPATH_COMPONENT.'/lib/cloudfusion.2.6/sdk.class.php');
require_once(JPATH_COMPONENT.'/lib/aws/aws-autoloader.php');
/*$jaLoader = new jaLoader();
$jaLoader->importRecursive(JPATH_COMPONENT.'/lib/cloudfusion.2.6');*/

// Conflicted solve: 
// Remove CloudFustion autoloader (com_jaamazons3/lib/cloudfusion.2.6/sdk.class.php)
// And register Joomla autoloader (/joomla root/libraries/loader.php)
/*spl_autoload_unregister(array('CloudFusion', 'autoloader'));
spl_autoload_register('__autoload');*/
?>