<?php
/**
 * ------------------------------------------------------------------------
 * JA Amazon S3 for Joomla 2.5 & Joomla 3.4
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2017 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * ------------------------------------------------------------------------
 */

// No direct access.
defined('_JEXEC') or die;
$user = JFactory::getUser();
$jinput = JFactory::getApplication()->input;
$asset = $jinput->get('asset');
$author = $jinput->get('author');
?>
<script type='text/javascript'>
var image_base_path = '';
</script>
<div class="container-popup">
<form action="index.php?option=<?php echo JACOMPONENT ?>&amp;view=images&tmpl=component&amp;asset=<?php echo $asset;?>&amp;author=<?php echo $author;?>" id="imageForm" method="post" enctype="multipart/form-data">
	<div id="messages" style="display: none;">
		<span id="message"></span><?php echo JHtml::_('image', 'media/dots.gif', '...', array('width' =>22, 'height' => 12), true)?>
	</div>
	<div class="well">
		<div class="row">
		<div class="span12 control-group" style="width: 100% !important;">
			<div class="control-label">
				<label class="control-label">
					<?php echo JText::_("BUCKETS");?>
				</label>
			</div>
			<div class="controls">
      		<?php echo $this->boxBuckets; ?>
			</div>
      		<div style="display:none;">
      		<select size="1" class="inputbox" name="folderlist" id="folderlist">
      		</select>
			<button type="button" id="upbutton" title="<?php echo JText::_('UP') ?>"><?php echo JText::_('UP') ?></button>
      		</div>
		</div>
		<div class="pull-right">
			<button class="btn btn-success button-save-selected" type="button" onclick="<?php if ($this->state->get('field.id')):?>window.parent.jInsertFieldValue(document.id('f_url').value,'<?php echo $this->state->get('field.id');?>');<?php else:?>ImageManager.onok();<?php endif;?>window.parent.SqueezeBox.close();"><?php echo JText::_('JA_INSERT') ?></button>
			<button class="btn button-cancel" type="button" onclick="window.parent.SqueezeBox.close();"><?php echo JText::_('JCANCEL') ?></button>
		</div>
		</div>
	</div>

	<iframe id="imageframe" name="imageframe" style="height:260px;" src="index.php?option=<?php echo JACOMPONENT ?>&amp;view=imageslist&amp;tmpl=component&amp;folder=<?php echo $this->state->folder?>&amp;asset=<?php echo $asset;?>&amp;author=<?php echo $author;?>"></iframe>

	<div class="well">
		<div class="row">
			<div class="span6">
				<label for="f_url"><?php echo JText::_('JA_IMAGE_URL') ?></label>
				<input type="text" id="f_url" value="" />
				<?php if (!$this->state->get('field.id')):?>
					<label for="f_alt"><?php echo JText::_('JA_IMAGE_DESCRIPTION') ?></label>
					<input type="text" id="f_alt" value="" />
					<label for="f_title"><?php echo JText::_('JA_TITLE') ?></label>
					<input type="text" id="f_title" value="" />
					
			</div>
				
			<div class="span6">	
					<label for="f_align"><?php echo JText::_('JA_ALIGN') ?></label>
					<select size="1" id="f_align" >
						<option value="" selected="selected"><?php echo JText::_('JA_NOT_SET') ?></option>
						<option value="left"><?php echo JText::_('JGLOBAL_LEFT') ?></option>
						<option value="center"><?php echo JText::_('JGLOBAL_CENTER') ?></option>
						<option value="right"><?php echo JText::_('JGLOBAL_RIGHT') ?></option>
					</select>
					<br>
					<br>
					<label for="f_caption"><?php echo JText::_('JA_CAPTION') ?></label>
					<select size="1" id="f_caption" >
						<option value="" selected="selected" ><?php echo JText::_('JNO') ?></option>
						<option value="1"><?php echo JText::_('JYES') ?></option>
					</select>
					<p></p>
					<p class="help-block"><?php echo JText::_('JA_CAPTION_DESC');?> </p>
			<?php endif;?>
			</div>
		</div>

		<input type="hidden" id="dirPath" name="dirPath" />
		<input type="hidden" id="f_file" name="f_file" />
		<input type="hidden" id="tmpl" name="component" />

	</div>
</form>
</div>